import { DraftComponent } from 'draft-js';
import React from 'react';
import { AitCellData, AitLocation } from './aitInterface';
interface AitCellProps {
    id: string;
    aitid: string;
    text: string;
    justifyText?: DraftComponent.Base.DraftTextAlignment | 'decimal' | 'default';
    comments: string;
    rowSpan: number;
    colSpan: number;
    colWidth?: number;
    displayColWidth?: number;
    textIndents?: number;
    replacedText?: string;
    repeatColSpan?: number;
    repeatRowSpan?: number;
    setCellData?: (ret: AitCellData) => void;
    setColWidth?: (ret: number) => void;
    readOnly: boolean;
    location: AitLocation;
    addColSpan?: (loc: AitLocation) => void;
    removeColSpan?: (loc: AitLocation) => void;
    addRowSpan?: (loc: AitLocation) => void;
    removeRowSpan?: (loc: AitLocation) => void;
    spaceAfterRepeat?: boolean;
    spaceAfterSpan?: number;
}
export declare const AitCell: ({ id, aitid, text, justifyText, comments, colSpan, rowSpan, colWidth, displayColWidth, textIndents, replacedText, repeatColSpan, repeatRowSpan, setCellData, setColWidth, readOnly, location, addColSpan, removeColSpan, addRowSpan, removeRowSpan, spaceAfterRepeat, spaceAfterSpan, }: AitCellProps) => React.JSX.Element;
export {};
