import React from 'react';
import { AieStyleMap } from '../aie';
import { AioExternalSingle } from '../aio';
import './aif.css';
import { AifBlockLine } from './aifInterface';
interface AifLineDisplayProps {
    id: string;
    aifid?: string;
    left?: string | null;
    center?: string | null;
    right?: string | null;
    externalSingles?: AioExternalSingle[];
    addBelow?: boolean;
    canEdit?: boolean;
    canRemove?: boolean;
    canMove?: boolean;
    canChangeType?: boolean;
    setLine?: (ret: AifBlockLine) => void;
    addLine?: () => void;
    removeLine?: () => void;
    style?: React.CSSProperties;
    styleMap?: AieStyleMap;
}
export declare const AifLineDisplay: ({ id, aifid, left, center, right, externalSingles, addBelow, canEdit, canRemove, canMove, canChangeType, setLine, addLine, removeLine, style, styleMap, }: AifLineDisplayProps) => JSX.Element;
export {};
