/// <reference types="react" />
import { AieStyleMap } from '../aie';
interface AifOptionsWindowProps {
    id: string;
    onClose: () => void;
    left?: string | null;
    center?: string | null;
    right?: string | null;
    returnData?: (ret: {
        left?: string | null;
        center?: string | null;
        right?: string | null;
    }) => void;
    canChangeType: boolean;
    styleMap?: AieStyleMap;
}
export declare const AifOptionsWindow: ({ id, onClose, left, center, right, canChangeType, returnData, styleMap, }: AifOptionsWindowProps) => JSX.Element;
export {};
