/// <reference types="react" />
import { AioExternalReplacements, AioReplacement, AioReplacementValues } from './aioInterface';
interface AioReplacmentDisplayProps {
    id: string;
    airid?: string;
    oldText?: string;
    newTexts: AioReplacementValues[];
    includeTrailing?: boolean;
    externalName?: string;
    setReplacement?: (ret: AioReplacement) => void;
    externalLists?: AioExternalReplacements[];
    dontAskSpace?: boolean;
    dontAskTrail?: boolean;
    noText?: boolean;
}
/**
 * Render an individuial AioReplacement
 * @param props value/setValue pair
 */
export declare const AioReplacementDisplay: ({ id, airid, oldText, newTexts, includeTrailing, externalName, setReplacement, externalLists, dontAskSpace, dontAskTrail, noText: noOldText, }: AioReplacmentDisplayProps) => JSX.Element;
export {};
