/// <reference types="react" />
import { AieStyleMap } from './functions';
import './aiev2.css';
interface iEditorV2 {
    id: string;
    text: string;
    setText?: (ret: string) => void;
    customStyleMap?: AieStyleMap;
    allowNewLine?: boolean;
    textAlignment?: 'left' | 'center' | 'decimal' | 'right' | 'default';
    decimalAlignPercent?: number;
}
export declare const EditorV2: ({ id, text, setText, customStyleMap, allowNewLine, textAlignment, decimalAlignPercent, }: iEditorV2) => JSX.Element;
export {};
