/// <reference types="react" />
interface iRenderLineItem {
    id: string;
    value: unknown;
    label?: string;
    availableValues?: Array<string>;
    setValue?: (value: unknown) => void;
    type?: string;
    canAddItems?: boolean;
    canMoveItems?: boolean;
    canRemoveItems?: boolean;
}
export declare const RenderLineItem: ({ id, value, label, availableValues, setValue, type, canAddItems, canMoveItems, canRemoveItems, }: iRenderLineItem) => JSX.Element;
export {};
