/// <reference types="react" />
import { AioReplacement } from '../aio';
import { AitLocation, AitRowData, AitRowGroupData } from './aitInterface';
interface AitHeaderProps {
    id: string;
    aitid: string;
    rows: AitRowData[];
    comments?: string;
    replacements?: AioReplacement[];
    setHeaderData?: (ret: AitRowGroupData) => void;
    setColWidth: (colNo: number, colWidth: number) => void;
    addHeaderColSpan: (ret: AitLocation) => void;
    removeHeaderColSpan: (ret: AitLocation) => void;
}
export declare const AitHeader: ({ id, aitid, rows, comments, replacements, setHeaderData, setColWidth, addHeaderColSpan, removeHeaderColSpan, }: AitHeaderProps) => JSX.Element;
export {};
